<?php

namespace Drupal\views_year_filter;

/**
 * Shared code between the ViewsYearFilterDate and ViewsYearFilterDatetime
 * plugins.
 */
trait DateViewsTrait {

  /**
   * Apply the HTML5 date popup to the views filter form.
   *
   * @param array $form
   *   The form to apply it to.
   */
  protected function applyDatePopupToForm(array &$form) {
    // Add config for date_year filter.
    if (
      isset($this->options['value']) &&
      isset($this->options['value']['type']) &&
      $this->options['value']['type'] === 'date_year'
    ) {
      $form[$this->options['expose']['identifier']]['#type'] = 'textfield';
      // TODO: Add support of datepicker native with only years
      // Add datepicker attributes.
      $form[$this->options['expose']['identifier']]['#attributes']['data-date-format'] = 'yyyy';
      $form[$this->options['expose']['identifier']]['#attributes']['data-date-view-mode'] = 'years';
      $form[$this->options['expose']['identifier']]['#attributes']['data-date-min-view-mode'] = 'years';
    }
  }

}
